<?xml version="1.0" encoding="Shift_JIS" ?>

<weber-config>

<!-- サーブレット情報を定義します -->
<servlet-info encoding="Shift_JIS" />

<!-- システムエラー発生時遷移画面の定義 -->
<global-exceptions>
	<exception name="java.lang.Exception" path="/jsp/exception.jsp"/>
	<exception name="java.io.IOException" path="/jsp/ioexception.jsp"/>
	<exception name="java.lang.NumberFormatException" path="/jsp/numberException.jsp"/>
</global-exceptions>

<!-- アクションマッピングの定義 -->
<action-mappings>
	<!-- タグテスト1                                       -->
    <action
        path="/test1.do"
        type="org.itscool.tagtest.SampleAction1"
		name="org.itscool.tagtest.SampleBean1">
		<forward name="success" path="/jsp/tagtest/SampleInput1.jsp"/>
    </action>
    <!-- タグテスト2                                       -->
    <action
        path="/test2.do"
        type="org.itscool.tagtest.SampleAction2"
		name="org.itscool.tagtest.SampleBean2">
		<forward name="success" path="/jsp/tagtest/SampleOutput2.jsp"/>
    </action>
    <!-- タグテスト3                                       -->
    <action
        path="/test3.do"
        type="org.itscool.tagtest.SampleAction3"
		name="org.itscool.tagtest.SampleBean3">
		<forward name="success" path="/jsp/tagtest/SampleOutput3.jsp"/>
    </action>
    <!-- タグテスト4                                       -->
    <action
        path="/test4.do"
        type="org.itscool.tagtest.SampleAction4"
		name="org.itscool.tagtest.SampleBean4">
		<forward name="success" path="/jsp/tagtest/SampleOutput4.jsp"/>
    </action>
    <!-- ファイル転送テスト -->
    <action
	    path="/show-upload.do"
	    type="org.itscool.weber.action.NoOpAction">
	    <forward name="success" path="/jsp/upload/upload.jsp"/>
	</action>
	<action
	    path="/upload.do"
	    type="org.itscool.upload.UploadAction"
	    name="org.itscool.upload.UploadBean">
	    <forward name="success" path="/jsp/upload/result.jsp"/>
	    <forward name="org.itscool.weber.action.INPUT_ERROR" 
			path="/jsp/upload/upload.jsp"/>
	</action>
	<!-- カレンダータグテスト1                                    -->
    <action
        path="/monthlyDate.do"
        type="org.itscool.tagextest.SampleMonthlyAction"
        name="org.itscool.tagextest.SampleMonthlyBean">
		<forward name="success" path="/jsp/tagextest/SampleOut.jsp"/>
    </action>
    <!-- レイアウトサンプル1 -->
    <action
	    path="/layout/sample1.do"
	    type="org.itscool.weber.action.NoOpAction">
	    <forward name="success" path="/jsp/layouttest/sample1.jsp"/>
	</action>
	<action
	    path="/layout/sample1-1.do"
	    type="org.itscool.weber.action.NoOpAction">
	    <forward name="success" path="/jsp/layouttest/sample1-1.jsp"/>
	</action>
	<!-- レイアウトサンプル2 -->
    <action
	    path="/layout/sample2.do"
	    type="org.itscool.weber.action.NoOpAction">
	    <forward name="success" path="/jsp/layouttest/sample2.jsp"/>
	</action>
	<action
	    path="/layout/sample3.do"
	    type="org.itscool.weber.action.NoOpAction">
	    <forward name="success" path="/jsp/layouttest/sample3.html"/>
	</action>
	<action
	    path="/layout/sample3-1.do"
	    type="org.itscool.weber.action.NoOpAction">
	    <forward name="success" path="/jsp/layouttest/sample3.html"/>
	</action>
	<action
	    path="/layout/sample4.do"
	    type="org.itscool.weber.action.NoOpAction">
	    <forward name="success" path="/jsp/layouttest/sample4.html"/>
	</action>
	<!-- ****************************************************** -->
    <!--                                                        -->
    <!-- 掲示板機能         　　　　　　　　　                    -->
    <!--                                                        -->
    <!-- ****************************************************** -->
    <action
        path="/msgbord/show-msgbord.do"
        type="org.itscool.msgbord.DisplayMessagesAction">
		<role name="admin"/>
		<role name="guest"/>
		<forward name="success" path="/jsp/msgbord/Messages.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/msgbord/fail.jsp"/>
    </action>
	<action
        path="/msgbord/save-msgbord.do"
        type="org.itscool.msgbord.SaveMessageAction"
        name="org.itscool.msgbord.Message">
		<role name="admin"/>
		<role name="guest"/>
		<forward name="success" path="/jsp/msgbord/Messages.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/msgbord/fail.jsp"/>
    </action>
	<action
        path="/msgbord/delete-msgbord.do"
        type="org.itscool.msgbord.DeleteMessageAction"
        name="org.itscool.msgbord.Message">
		<role name="admin"/>
		<role name="guest"/>
		<forward name="success" path="/jsp/msgbord/Messages.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/msgbord/fail.jsp"/>
    </action>
    
    
    
    <!-- ****************************************************** -->
    <!--                                                        -->
    <!-- 社員管理システム                                        -->
    <!--                                                        -->
    <!-- ****************************************************** -->
    
    <!-- INDEX画面 -->
	<action
        path="/webersample/index.do"
        type="org.itscool.weber.action.NoOpAction">
		<forward name="success" path="/jsp/webersample/root/index.jsp"/>
    </action>
    
	<!-- 認証エラー -->
	<action
        path="/jsp/webersample/login/fail.jsp"
        type="org.itscool.weber.action.NoOpAction">
		<forward name="success" path="/jsp/webersample/login/fail.jsp"/>
    </action>
    
    <!-- Bookmarkアクション -->
	<action
        path="/webersample/bookmark/show-web.do"
        type="org.itscool.webersample.action.web.WebSiteDisplayAction">
		<forward name="success" path="/jsp/webersample/bookmark/html.jsp"/>
    </action>
    
    <!-- ======================================= -->
    <!-- ログイン機能                             -->
    <!-- ======================================= -->
    <!-- ログイン画面表示 -->
    <action
        path="/webersample/show-login.do"
        type="org.itscool.webersample.action.DisplayLoginAction">
		<forward name="success" path="/jsp/webersample/login/login.jsp"/>
		<forward name="non_admin" path="/jsp/webersample/login/CreateAdmin.jsp"/>
    </action>

    <!-- 管理ユーザ登録処理 -->
    <action
        path="/webersample/registAdmin.do"
        type="org.itscool.webersample.action.RegistAdminAction"
        name="org.itscool.weber.user.User">
		<forward name="success" path="/jsp/webersample/login/login.jsp"/>
    	<forward name="org.itscool.weber.action.INPUT_ERROR" path="/jsp/webersample/login/createAdmin.jsp"/>
    </action>

	<!-- ログイン -->
	<action
        path="/webersample/login.do"
        type="org.itscool.webersample.action.CustomLoginAction"
        name="org.itscool.weber.user.User">
		<forward name="org.itscool.weber.action.ROLE_SUCCESS" path="/jsp/webersample/login/welcome.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
    </action>
    
	<!-- ログアウト -->
	<action
        path="/webersample/logout.do"
        type="org.itscool.webersample.action.CustomLogoutAction">
		<forward name="org.itscool.weber.action.ROLE_SUCCESS" path="/jsp/webersample/login/login.jsp"/>
    </action>
	
    <!-- ======================================= -->
    <!-- ユーザ管理機能                          -->
    <!-- ======================================= -->
    <!-- ユーザ管理画面表示処理 -->
    <action
        path="/webersample/user/showUsers.do"
        type="org.itscool.webersample.action.user.DisplayUserIchiranAction">
		<role name="admin"/>
		<forward name="success" path="/jsp/webersample/user/DisplayUserIchiran.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
    </action>
    
    <!-- ユーザ登録処理 -->
    <action
        path="/webersample/user/registUser.do"
        type="org.itscool.webersample.action.user.RegistUserAction"
        name="org.itscool.weber.user.User">
		<role name="admin"/>
		<forward name="success" path="/webersample/user/showUsers.do"/>
    	<forward name="org.itscool.weber.action.INPUT_ERROR" path="/webersample/user/showUsers.do"/>
    </action>
	
	<!-- ======================================= -->
    <!-- 部署管理機能                             -->
    <!-- ======================================= -->
    <!-- 部署情報登録画面の表示アクション -->
	<action
		path="/webersample/syain/setPostInit.do"
		type="org.itscool.webersample.action.company.PostDisplayAction">
		<role name="admin"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/company/PostRegist.jsp"/>
	</action>
	
	<!-- 部署情報登録（追加・編集・削除)アクション -->
	<action
		path="/webersample/syain/setPost.do"
		type="org.itscool.webersample.action.company.PostRegistAction"
		name="org.itscool.webersample.bean.Post">
		<role name="admin"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="org.itscool.weber.action.INPUT_ERROR" path="/webersample/syain/setPostInit.do"/>
		<forward name="success" path="/jsp/webersample/company/PostRegist.jsp"/>
	</action>
	
	<!-- ======================================= -->
    <!-- 役職管理機能                             -->
    <!-- ======================================= -->
    <!-- 役職登録画面の表示アクション -->
	<action
		path="/webersample/syain/setOfficialTitleInit.do"
		type="org.itscool.webersample.action.company.OfficialTitleDisplayAction">
		<role name="admin"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/company/OfficialTitleRegist.jsp"/>
	</action>
	
	<!-- 役職登録（追加・編集・削除)アクション -->
	<action
		path="/webersample/syain/setOfficialTitle.do"
		type="org.itscool.webersample.action.company.OfficialTitleRegistAction"
		name="org.itscool.webersample.bean.OfficialTitle">
		<role name="admin"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="org.itscool.weber.action.INPUT_ERROR" path="/webersample/syain/setOfficialTitleInit.do"/>
		<forward name="success" path="/jsp/webersample/company/OfficialTitleRegist.jsp"/>
	</action>
	
	<!-- ======================================= -->
    <!-- 社員管理機能                             -->
    <!-- ======================================= -->
    <!-- 社員情報登録画面の表示アクション -->
	<action
		path="/webersample/syain/showPersonInit.do"
		type="org.itscool.webersample.action.company.WorkerRegistInitAction">
		<role name="admin"/>
		<role name="guest"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/company/WorkerRegist.jsp"/>
	</action>
	
	<!-- 社員情報登録アクション -->
    <action
        path="/webersample/syain/setPerson.do"
        type="org.itscool.webersample.action.company.WorkerRegistAction"
		name="org.itscool.webersample.bean.OfficeWorker">
		<role name="admin"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/company/WorkerRegistResult.jsp"/>
		<forward name="primarySetId" path="/jsp/webersample/exception/primarySetId.jsp"/>
		<forward name="non_search" path="/jsp/exception/nonSearch.jsp"/>
		<forward name="org.itscool.weber.action.INPUT_ERROR" path="/webersample/syain/showPersonInit.do"/>
	</action>
	
	<!-- 社員情報検索画面の表示アクション -->
	<action
		path="/webersample/syain/showSearchPerson.do"
		type="org.itscool.webersample.action.company.WorkerSearchInitAction">
		<forward name="success" path="/jsp/webersample/company/WorkerSearch.jsp"/>
	</action>
	
	<!-- 社員情報検索アクション -->
    <action
        path="/webersample/syain/searchPerson.do"
        type="org.itscool.webersample.action.company.WorkerSearchAction"
		name="org.itscool.webersample.action.company.WorkerSearchForm">
		<role name="admin"/>
		<role name="guest"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
        <forward name="success" path="/jsp/webersample/company/WorkerSearchResult.jsp"/>
	</action>
	
	<!-- 社員情報編集アクション(社員情報登録画面の表示) -->
    <action
        path="/webersample/syain/editPerson.do"
        type="org.itscool.webersample.action.company.WorkerDisplayAction"
		name="org.itscool.webersample.action.company.WorkerSearchForm">
		<role name="admin"/>
		<role name="guest"/>
        <forward name="org.itscool.weber.action.INPUT_ERROR" path="/jsp/webersample/company/WorkerSearchResult.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
        <forward name="success" path="/jsp/webersample/company/WorkerRegist.jsp"/>
		<forward name="success_show" path="/jsp/webersample/company/WorkerRegistResult.jsp"/>
	</action>
	
	<!-- ======================================= -->
    <!-- 行き先管理機能                           -->
    <!-- ======================================= -->
    <!-- 行き先表示画面の表示アクション -->
	<action
		path="/webersample/schedule/showGoStatus.do"
		type="org.itscool.webersample.action.company.GoStatusDisplayAction">
		<forward name="success" path="/jsp/webersample/company/GoStatus.jsp"/>
	</action>
	
	<!-- 行き先表示更新アクション -->
    <action
        path="/webersample/schedule/goStatus.do"
        type="org.itscool.webersample.action.company.GoStatusRegistAction"
		name="org.itscool.webersample.action.company.GoStatusForm">
		<role name="admin"/>
		<role name="guest"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/company/GoStatus.jsp"/>
	</action>
	
	<!-- ======================================= -->
    <!-- スケジュール管理機能１                    -->
    <!-- ======================================= -->
    <!-- スケジュール管理 社員選択画面の表示アクション -->
	<action     path="/webersample/schedule/showScheduleSelectWorker.do"
                type="org.itscool.webersample.action.company.WorkerSearchAction">
        <role name="admin"/>
		<role name="guest"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/schedule/ScheduleSelectWorker.jsp"/> 
    </action>
	
	<!-- スケジュール管理 スケジュール表示アクション(カレンダー表示) -->
    <action     path="/webersample/schedule/scheduleSelectCalendar.do"
                type="org.itscool.webersample.action.schedule.ScheduleSelectCalendarAction"
                name="org.itscool.webersample.action.schedule.ScheduleSearchForm">
        <role name="guest"/>
		<role name="admin"/>
		<forward name="org.itscool.weber.action.INPUT_ERROR" path="/jsp/disablederr.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/schedule/Schedule.jsp"/> 
    </action>
	
	<!-- スケジュール管理 スケジュール表示アクション(リスト表示) -->
    <action     path="/webersample/schedule/scheduleSelectList.do"
                type="org.itscool.webersample.action.schedule.ScheduleSelectListAction"
                name="org.itscool.webersample.action.schedule.ScheduleSearchForm">
        <role name="guest"/>
		<role name="admin"/>
		<forward name="org.itscool.weber.action.INPUT_ERROR" path="/jsp/disablederr.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
	   <forward name="success" path="/jsp/webersample/schedule/ScheduleList.jsp"/>  
    </action>
	
	<!-- スケジュール管理 スケジュール表示アクション(グループ表示) -->
    <action     path="/webersample/schedule/scheduleGroup.do"
                type="org.itscool.webersample.action.schedule.ScheduleSelectGroupAction"
                name="org.itscool.webersample.action.schedule.ScheduleSearchForm">
        <role name="guest"/>
		<role name="admin"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/schedule/ScheduleGroup.jsp"/> 
    </action>

	<!-- スケジュール管理 登録画面表示アクション -->
    <action     path="/webersample/schedule/showScheduleRegist.do"
                type="org.itscool.webersample.action.schedule.ScheduleShowRegistAction"
                name="org.itscool.webersample.action.schedule.ScheduleRegistForm">
        <forward name="success" path="/jsp/webersample/schedule/ScheduleRegist.jsp"/> 
    </action>
	
	<!-- スケジュール情報登録アクション -->
	<action     path="/webersample/schedule/scheduleRegist.do"
                type="org.itscool.webersample.action.schedule.ScheduleRegistAction"
                name="org.itscool.webersample.action.schedule.ScheduleRegistForm">
        <forward name="org.itscool.weber.action.INPUT_ERROR" path="/webersample/schedule/showScheduleRegist.do"/>
		<forward name="success" path="/webersample/schedule/scheduleSelectCalendar.do?submit_month=ture"/> 
		<forward name="success_list" path="/jsp/webersample/schedule/ScheduleList.jsp"/> 
		<forward name="success_group" path="/jsp/webersample/schedule/ScheduleGroup.jsp"/>
    </action>
    
	<!-- ======================================= -->
    <!-- 施設管理機能                             -->
    <!-- ======================================= -->
	<!-- 施設予約画面表示アクション(グループ表示) -->
    <action     path="/webersample/sisetu/showSisetuYoyaku.do"
                type="org.itscool.webersample.action.sisetu.SisetuYoyakuSelectGroupAction"
                name="org.itscool.webersample.bean.SisetuYoyaku">
        <role name="guest"/>
		<role name="admin"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/sisetu/SisetuYoyakuGroup.jsp"/> 
    </action>

    <!-- 施設情報登録画面の表示アクション -->
	<action
		path="/webersample/sisetu/setSisetuInit.do"
		type="org.itscool.webersample.action.sisetu.SisetuDisplayAction">
		<role name="admin"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/sisetu/SisetuRegist.jsp"/>
	</action>
	
	<!-- 施設情報登録（追加・編集・削除)アクション -->
	<action
		path="/webersample/sisetu/setSisetu.do"
		type="org.itscool.webersample.action.sisetu.SisetuRegistAction"
		name="org.itscool.webersample.bean.Sisetu">
		<role name="admin"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="org.itscool.weber.action.INPUT_ERROR" path="/webersample/sisetu/setSisetuInit.do"/>
		<forward name="success" path="/jsp/webersample/sisetu/SisetuRegist.jsp"/>
	</action>
	
	<!-- 施設予約情報 登録画面表示アクション -->
    <action     path="/webersample/sisetu/showSisetuYoyakuRegist.do"
                type="org.itscool.webersample.action.sisetu.SisetuYoyakuShowRegistAction"
                name="org.itscool.webersample.bean.SisetuYoyaku">
		<role name="guest"/>
        <role name="admin"/>
		<forward name="org.itscool.weber.action.INPUT_ERROR" path="/jsp/disablederr.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/jsp/webersample/sisetu/SisetuYoyakuRegist.jsp"/> 
    </action>

	<!-- 施設予約情報登録アクション -->
	<action     path="/webersample/sisetu/sisetuYoyakuRegist.do"
                type="org.itscool.webersample.action.sisetu.SisetuYoyakuRegistAction"
                name="org.itscool.webersample.bean.SisetuYoyaku">
		<role name="guest"/>
        <role name="admin"/>
		<forward name="org.itscool.weber.action.INPUT_ERROR" path="/jsp/disablederr.jsp"/>
		<forward name="org.itscool.weber.action.ROLE_FAIL" path="/jsp/webersample/login/fail.jsp"/>
		<forward name="success" path="/webersample/sisetu/showSisetuYoyaku.do"/> 
    </action>
	
</action-mappings>

</weber-config>

